# PURLLegacyScheme Class Reference

`#include <url.h>`

Inheritance diagram for PURLLegacyScheme:

List of all members.

## Public Member Functions

| PURLLegacyScheme (const char *s, bool user=false, bool pass=false, bool host=false, bool def=false, bool defhost=false, bool query=false, bool params=false, bool frags=false, bool path=false, bool rel=false, WORD port=0)
PBoolean | Parse (const PString &url, PURL &purl) const
PString | AsString (PURL::UrlFormat fmt, const PURL &purl) const
PString | GetName () const

## Public Attributes

PString | scheme
bool | hasUsername
bool | hasPassword
bool | hasHostPort
bool | defaultToUserIfNoAt
bool | defaultHostToLocal
bool | hasQuery
bool | hasParameters
bool | hasFragments
bool | hasPath
bool | relativeImpliesScheme
WORD | defaultPort

## Constructor & Destructor Documentation

PURLLegacyScheme::PURLLegacyScheme | ( | const char * | s,
|  | bool | user = `false`,
|  | bool | pass = `false`,
|  | bool | host = `false`,
|  | bool | def = `false`,
|  | bool | defhost = `false`,
|  | bool | query = `false`,
|  | bool | params = `false`,
|  | bool | frags = `false`,
|  | bool | path = `false`,
|  | bool | rel = `false`,
|  | WORD | port = `0` |
| ) |  |  | `[inline]`

## Member Function Documentation

PString PURLLegacyScheme::AsString | ( | PURL::UrlFormat | fmt,
|  | const PURL & | purl |
| ) |  |  | const`[inline, virtual]`

Implements PURLScheme.

PString PURLLegacyScheme::GetName | ( |  | ) | const`[inline, virtual]`

Implements PURLScheme.

PBoolean PURLLegacyScheme::Parse | ( | const PString & | url,
|  | PURL & | purl |
| ) |  |  | const`[inline, virtual]`

Implements PURLScheme.

## Member Data Documentation

bool PURLLegacyScheme::defaultHostToLocal

WORD PURLLegacyScheme::defaultPort

bool PURLLegacyScheme::defaultToUserIfNoAt

bool PURLLegacyScheme::hasFragments

bool PURLLegacyScheme::hasHostPort

bool PURLLegacyScheme::hasParameters

bool PURLLegacyScheme::hasPassword

bool PURLLegacyScheme::hasPath

bool PURLLegacyScheme::hasQuery

bool PURLLegacyScheme::hasUsername

bool PURLLegacyScheme::relativeImpliesScheme

PString PURLLegacyScheme::scheme

The documentation for this class was generated from the following file:

- url.h